<?
$SQL_CREATE_BOARD="
CREATE TABLE nx_{$table} (
	no mediumint unsigned NOT NULL auto_increment,
	idx int unsigned NOT NULL,
	thread mediumint unsigned NOT NULL,
	depth tinyint(3) unsigned DEFAULT 0 NOT NULL,
	parent mediumint unsigned DEFAULT 0 NOT NULL,
	pos smallint(5) unsigned DEFAULT 0 NOT NULL,
	reply_num smallint unsigned DEFAULT 0 NOT NULL,
	comment_num smallint(3) unsigned DEFAULT '0' NOT NULL,
	user varchar(16),
	name varchar(30) binary NOT NULL,
	pass varchar(20),
	email varchar(126),
	url varchar(255),
	title varchar(255) DEFAULT '' NOT NULL,
	contents text DEFAULT '',
	time datetime NOT NULL,
	hit smallint(5) unsigned DEFAULT '0' NOT NULL,
	file1 varchar(255),
	file2 varchar(255),
	file3 varchar(255),
	down1	mediumint unsigned DEFAULT 0,
	down2 mediumint unsigned DEFAULT 0,
	down3 mediumint unsigned DEFAULT 0,
	html tinyint(2) DEFAULT 0 NOT NULL,
	secret tinyint(2) DEFAULT 0 NOT NULL,
	ip varchar(21),
	PRIMARY KEY (no),
	KEY idx (idx),
	KEY thread (thread, pos)
)
";

$SQL_CREATE_COMMENT="
CREATE TABLE nx_{$table}_c (
	id mediumint unsigned NOT NULL auto_increment,
	parent mediumint unsigned NOT NULL,
	user varchar(16),
	name varchar(20) NOT NULL,
	pass varchar(20),
	time datetime NOT NULL,
	comment text NOT NULL,
	PRIMARY KEY id (id, parent)
)
";

$SQL_CREATE_MEMBER="
CREATE TABLE nx_member_{$grp} (
	user varchar(16) NOT NULL UNIQUE,
	pass varchar(20) NOT NULL,
	name varchar(20) binary NOT NULL,
	email varchar(50),
	home varchar(100),
	note text,
	birth date,
	active bool,
	acode varchar(20),
	level smallint NOT NULL DEFAULT '30',
	PRIMARY KEY (user)
)
";

$SQL_CREATE_GROUPS="
CREATE TABLE nxgroups (
  id tinyint NOT NULL auto_increment PRIMARY KEY,
  name varchar(40) UNIQUE
)
";

$SQL_CREATE_BOARDS="
CREATE TABLE nxboards (
	id varchar(20) NOT NULL UNIQUE,
	title varchar(100),
	grp tinyint NOT NULL,
	PRIMARY KEY (id)
)
";

/*$SQL_CREATE_ADMIN="
CREATE TABLE admin_{$grp} (
	user varchar(16) NOT NULL,
	level smallint NOT NULL DEFAULT '10'
)
";*/
?>
